ApiManagementSso apps
GET
/v1/mgmt/sso/idp/app/roleAuthorization
Descope Project ID and Management Key AuthorizationBearer <token>
Project ID:Management Key as bearer token.
In: header
Query Parameters
appId?string
id?string
Get a single SSO application role by application id and role id, using a valid management key.
curl -X GET "https://api.descope.com/v1/mgmt/sso/idp/app/role"{ "appId": "string", "id": "string", "name": "string", "description": "string", "permissionIds": [ "string" ], "roleMappings": [ "string" ]}/** * SSO application scoped role (Terraform: descope_app_role). The id is server-assigned and ignored on create. * permissionIds reference permissions of the same application, roleMappings reference project-level roles. */export interface Response {appId?: stringid?: stringname?: stringdescription?: stringpermissionIds?: string[]roleMappings?: string[]} Was this helpful?